Subject: Xinerama patch -- v2

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Mon, 23 Jul 2001 18:34:52 +0700

Hi!

    Attached is a new version of Xinerama patch.  The .tgz contains a diff
file (against 05-Jul-2001 snapshot), two new files in libs/, and a
description of what was done.

    This patch has a very basic RandR support, which is disabled by default.

    Also new from previous version is XiSuppParseGeometry(), which
implements a concept of "primary screen".

    To enable lots of debug info, -DDEBUG_PRINTS=1 can be used.

    Since some Xinerama support was already added to CVS, I decided to post
this patch immediately and not spend time adapting it to current CVS (which
will advance even further by the time adaptation is finished ;-).

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13

This message contains a file prepared for transmission using the
MIME BASE64 transfer encoding scheme. If you are using Pegasus
Mail or another MIME-compliant system, you should be able to extract
it from within your mailer. If you cannot, please ask your system
administrator for help.

   ---- File information -----------
     File:  FVWMXINR.TGZ
     Date:  23 Jul 2001, 17:13
     Size:  27149 bytes.
     Type:  Binary

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 23 Jul 2001 18:55:33 +0200

On Mon, Jul 23, 2001 at 06:34:52PM +0700, Dmitry Yu. Bolkhovityanov wrote:
Content-Description: Mail message body
> description of what was done.

Could you by any chance update this patch for the current CVS
version?  The risk that I do something wrong if I merge the patch
with the current code is way too high.

> will advance even further by the time adaptation is finished ;-).

Well, either you adapt it or I do.  Sice you wrote the patch
yourself it's safer if you do it.  Don't believe merging the patch
is less work just because someone else does it ;-)

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]